This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 447737

Summary: AttributeError: 'NoneType' object has no attribute 'beenset'
Product: [Fedora] Fedora Reporter: Mike Parker <mikethepsych>
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-22 06:37:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Debug output none

Description Mike Parker 2008-05-21 10:46:56 EDT
Description of problem:

'firstboot -t -r' returned the following:

 firstboot CRITICAL: Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/firstboot/interface.py", line 274, in
createScreens
    module.createScreen()
  File "/usr/share/firstboot/modules/keyboard.py", line 148, in createScreen
    if not self.kbd.beenset:
AttributeError: 'NoneType' object has no attribute 'beenset'

Version-Release number of selected component (if applicable):

N/A

How reproducible:

Reproducible

Steps to Reproduce:
1. firstboot -t -r
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Parker 2008-05-21 10:46:56 EDT
Created attachment 306256 [details]
Debug output
Comment 2 Lubomir Rintel 2008-05-22 06:37:58 EDT

*** This bug has been marked as a duplicate of 446608 ***